Bug 530760 - fontlint can not parse ./ relative paths
fontlint can not parse ./ relative paths
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fontforge (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-10-24 15:10 EDT by Nicolas Mailhot
Modified: 2010-02-24 13:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-24 13:45:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-10-24 15:10:27 EDT
Description of problem:
$ fontlint $PWD/./fonts/dejavu/DejaVuSans-Bold.ttf 
Copyright (c) 2000-2009 by George Williams.
 Executable based on sources from 22:35 GMT 22-Jun-2009.
 Library based on sources from 22:35 GMT 22-Jun-2009.
This font contains both a 'kern' table and a 'GPOS' table.
  The 'kern' table will only be read if there is no 'kern' feature in 'GPOS'.
Use-my-metrics flag set on at least two components in glyph 685
The glyph named mu is mapped to U+00B5.
  But its name indicates it should be mapped to U+03BC.
The glyph named Delta is mapped to U+2206.
  But its name indicates it should be mapped to U+0394.
A point in uni0651064C is outside the font bounding box data.
A point in uni0651064F is outside the font bounding box data.
Validation DejaVuSans-Bold ...Failed
  Self Intersecting Glyph
  Wrong Direction
  Missing Points at Extrema
  Bad 'glyf' or 'loca' table
  Bad 'CFF ' table

$ fontlint ./fonts/dejavu/DejaVuSans-Bold.ttf 
Copyright (c) 2000-2009 by George Williams.
 Executable based on sources from 22:35 GMT 22-Jun-2009.
 Library based on sources from 22:35 GMT 22-Jun-2009.
The requested file, DeejaVuSans-Bldd.ttf, does not exist
Open: Failed to open: ./fonts/dejavu/DejaVuSans-Bold.ttf
Called from...
 /usr/bin/fontlint: line 15

(if you can convince upstream to use a bugzilla I can ask behdad to open a fontforge product on bugzilla.freedesktop.org and I will file bugs directly upstream next time; I don't have the time to do mailing-list bug reporting)

fontforge-20090622-2.fc12.x86_64
Comment 1 Kevin Fenzi 2009-11-08 13:52:52 EST
will ask upstream.
Comment 2 Kevin Fenzi 2009-12-31 23:23:26 EST
I've just commited a patch from upstream to fix this. 

Can you test? 

http://koji.fedoraproject.org/koji/taskinfo?taskID=1897326
Comment 3 Nicolas Mailhot 2010-02-24 13:41:24 EST
This works now
Comment 4 Kevin Fenzi 2010-02-24 13:45:13 EST
Excellent.

Note You need to log in before you can comment on or make changes to this bug.